PhotoSpec Class Reference

Specifications for photo example. More...

## Public Member Functions

| PhotoSpec (int i)
| Initialize.
int | people (void) const
| Return number of people.
int | preferences (void) const
| Return number of preferences.
int | preference (int p, int i) const
| Access preference p with position i.

## Protected Attributes

const int * | data
| Array of data.

## Detailed Description

Specifications for photo example.

Definition at line 45 of file photo.cpp.

## Constructor & Destructor Documentation

## PhotoSpec()

PhotoSpec::PhotoSpec | ( | int | i | ) |

inline

Initialize.

Definition at line 51 of file photo.cpp.

## Member Function Documentation

## people()

int PhotoSpec::people | ( | void |  | ) | const

inline

Return number of people.

Definition at line 53 of file photo.cpp.

## preferences()

int PhotoSpec::preferences | ( | void |  | ) | const

inline

Return number of preferences.

Definition at line 57 of file photo.cpp.

## preference()

int PhotoSpec::preference | ( | int | p,
|  | int | i ) const

inline

Access preference p with position i.

Definition at line 61 of file photo.cpp.

## Member Data Documentation

## data

const int* PhotoSpec::data

protected

Array of data.

Definition at line 48 of file photo.cpp.

The documentation for this class was generated from the following file:

- examples/photo.cpp